# DataExchange
TKIGES
IGESControl

# IGESControl_Controller Class Reference

Controller for IGES-5.1
.

`#include <IGESControl_Controller.hxx>`

Inheritance diagram for IGESControl_Controller:

[legend]

## Public Member Functions

Standard_EXPORT | IGESControl_Controller (const Standard_Boolean modefnes=Standard_False)
| Initializes the use of IGES Norm (the first time) and returns a Controller for IGES-5.1 If <modefnes> is True, sets it to internal FNES format .
Standard_EXPORT Handle_Interface_InterfaceModel | NewModel () const
| Creates a new empty Model ready to receive data of the Norm. It is taken from IGES Template Model .
Standard_EXPORT Handle_Transfer_ActorOfTransientProcess | ActorRead (const Handle(Interface_InterfaceModel)&model) const
| Returns the Actor for Read attached to the pair (norm,appli) It is an Actor from IGESToBRep, adapted from an IGESModel : Unit, tolerances .
virtual Standard_EXPORT IFSelect_ReturnStatus | TransferWriteShape (const TopoDS_Shape &shape, const Handle(Transfer_FinderProcess)&FP, const Handle(Interface_InterfaceModel)&model, const Standard_Integer modetrans=0) const
| Takes one Shape and transfers it to the InterfaceModel (already created by NewModel for instance) <modetrans> is to be interpreted by each kind of XstepAdaptor Returns a status : 0 OK 1 No result 2 Fail -1 bad modeshape -2 bad model (requires an IGESModel) modeshape : 0 groupe of face (version < 5.1) 1 BREP-version 5.1 of IGES .
virtual Standard_EXPORT void | Customise (Handle(XSControl_WorkSession)&WS)
| Customises a WorkSession, by adding to it the recorded items (by AddSessionItem), then by calling a specific method Customising, set by default to do nothing .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | Init ()
| Standard Initialisation. It creates a Controller for IGES and records it to various names, available to select it later Returns True when done, False if could not be done Also, it creates and records an Adaptor for FNES .

## Private Attributes

Standard_Boolean | themode

## Constructor & Destructor Documentation

Standard_EXPORT IGESControl_Controller::IGESControl_Controller | ( | const Standard_Boolean | modefnes = `Standard_False` | ) |

## Member Function Documentation

Standard_EXPORT Handle_Transfer_ActorOfTransientProcess IGESControl_Controller::ActorRead | ( | const Handle(Interface_InterfaceModel)& | model | ) | const`[virtual]`

| Implements XSControl_Controller.

virtual Standard_EXPORT void IGESControl_Controller::Customise | ( | Handle(XSControl_WorkSession)& | WS | ) | `[virtual]`

| Reimplemented from XSControl_Controller.

Standard_EXPORT const IGESControl_Controller::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from XSControl_Controller.

static Standard_EXPORT Standard_Boolean IGESControl_Controller::Init | ( |  | ) | `[static]`

Standard_EXPORT Handle_Interface_InterfaceModel IGESControl_Controller::NewModel | ( |  | ) | const`[virtual]`

| Implements XSControl_Controller.

virtual Standard_EXPORT IFSelect_ReturnStatus IGESControl_Controller::TransferWriteShape | ( | const TopoDS_Shape & | shape,
|  | const Handle(Transfer_FinderProcess)& | FP,
|  | const Handle(Interface_InterfaceModel)& | model,
|  | const Standard_Integer | modetrans = `0`
| ) | const`[virtual]`

| Reimplemented from XSControl_Controller.

## Field Documentation

Standard_Boolean IGESControl_Controller::themode `[private]`

The documentation for this class was generated from the following file:

- IGESControl_Controller.hxx